Download it now!
Bug 89124 - Add more system details to Help -> About
Summary: Add more system details to Help -> About
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2015-02-04 16:04 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-13 20:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-04 16:04:02 UTC
As a continuation of bug 85432 regarding the 'Locale' label in the dialog, Meeks stated, "I'd change the string to : "Details:" and present a ',' separated list, system then selected locale - also whether OpenGL is enabled is another chestnut we need to make visible; ... might also be good to have the OS vendor/version too"

So i'd like to suggest the following format as an example :-

"System Details: Windows 7 64-bit, en_US, OpenGL enabled"

It would be nice to also include the OpenGL version number of the graphics card and possibly some additional info about the graphic card now that so much is being done in that department, even if its just the name (e.g. Intel, ATI, Nvidia).
Comment 1 V Stuart Foote 2015-02-05 13:16:24 UTC
Yup, it we can figure a consistent way to identify this info from the OS--this would also be of use beyond the OS local setting.
Comment 2 Roman Kuznetsov 2015-11-19 11:58:33 UTC
This improvement is very necessary
Comment 3 Michael Meeks 2015-11-20 10:02:21 UTC
I believe this was fixed by Laszlo already. We also have a nice clear display and improved legends in the Tools->Options dialog that shows the current state, and also tags the option as "on next restart".

The lack of clarity there was bad for QA; apologies for that ! hopefully it's now fixed belt + braces etc. for 5.1 =)

OpenGL is off by default in the next 5.0.x - so hopefully we can fix this more systmatically for 5.1.0 =)

Thanks !
Comment 4 Yousuf Philips (jay) (retired) 2015-11-26 21:33:39 UTC
@Michael: Would it be useful to include the version of the operating system in these details, as presently we just no which OS it is with the current details.
Comment 5 Robinson Tryon (qubit) 2015-12-16 05:30:51 UTC Comment hidden (obsolete)